## org.jfree.chart.labels
Class IntervalCategoryLabelGenerator

    java.lang.Object
      org.jfree.chart.labels.AbstractCategoryItemLabelGenerator
          org.jfree.chart.labels.StandardCategoryLabelGenerator
              org.jfree.chart.labels.IntervalCategoryLabelGenerator

All Implemented Interfaces:
  CategoryLabelGenerator, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

public class IntervalCategoryLabelGenerator
extends StandardCategoryLabelGenerator
implements CategoryLabelGenerator, org.jfree.util.PublicCloneable, java.lang.Cloneable, java.io.Serializable

A label generator for plots that use data from an `IntervalCategoryDataset`.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `DEFAULT_LABEL_FORMAT_STRING` The default format string.

Constructor Summary
`IntervalCategoryLabelGenerator()` Creates a new generator with a default number formatter.
`IntervalCategoryLabelGenerator(java.lang.String labelFormat, java.text.DateFormat formatter)` Creates a new generator with the specified date formatter.
`IntervalCategoryLabelGenerator(java.lang.String labelFormat, java.text.NumberFormat formatter)` Creates a new generator with the specified number formatter.

Method Summary
`protected java.lang.Object[]` `createItemArray(CategoryDataset dataset, int row, int column)` Creates the array of items that can be passed to the `MessageFormat` class for creating labels.

Methods inherited from class org.jfree.chart.labels.StandardCategoryLabelGenerator
`generateLabel`

Methods inherited from class org.jfree.chart.labels.AbstractCategoryItemLabelGenerator
`clone, equals, generateLabelString, getDateFormat, getLabelFormat, getNumberFormat`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.labels.CategoryLabelGenerator
`generateLabel`

Methods inherited from interface org.jfree.util.PublicCloneable
`clone`

Field Detail

### DEFAULT_LABEL_FORMAT_STRING

    public static final java.lang.String DEFAULT_LABEL_FORMAT_STRING

  The default format string.

  See Also:
    Constant Field Values

Constructor Detail

### IntervalCategoryLabelGenerator

    public IntervalCategoryLabelGenerator()

  Creates a new generator with a default number formatter.

### IntervalCategoryLabelGenerator

    public IntervalCategoryLabelGenerator(java.lang.String labelFormat,
                                          java.text.NumberFormat formatter)

  Creates a new generator with the specified number formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the number formatter (`null` not permitted).

### IntervalCategoryLabelGenerator

    public IntervalCategoryLabelGenerator(java.lang.String labelFormat,
                                          java.text.DateFormat formatter)

  Creates a new generator with the specified date formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the date formatter (`null` not permitted).

Method Detail

### createItemArray

    protected java.lang.Object[] createItemArray(CategoryDataset dataset,
                                                 int row,
                                                 int column)

  Creates the array of items that can be passed to the `MessageFormat` class for creating labels.

  Overrides:
    `createItemArray` in class `AbstractCategoryItemLabelGenerator`
  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The items (never `null`).